> For the complete documentation index, see [llms.txt](https://developer.rategain.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.rategain.com/ultradirect/ultradirect-transaction-sets-xml/reference-data-transactions.md).

# Reference data transactions

**Brand information**

**Summary and examples**

Information about brands/chains can be obtained use the BrandInformation transaction. Apart from returning information such as the name, email address and logo, it is also useful to determine whether the chain supports session control and booking modifications.

A message requesting information for 3 brands is shown below:

```xml
<HotelML xmlns="
http://www.xpegs.com/v2001Q3/HotelML
">
<Head>
<Process Function="TI_BrandInformationV1_1" DataPath="/HotelML/Form/BrandInformation"/>
<Route Source="01" Destination="00"/>
</Head>
<Form>
<BrandInformation>
<Brand Code="GT"/>
<Brand Code="MC"/>
<Brand Code="BW"/>
</BrandInformation>
</Form>
</HotelML>
```

**The corresponding response is below:**

```xml
<HotelML xmlns="
http://www.xpegs.com/v2001Q3/HotelML
">
<Head>
<Route Destination="01" Source="00">
<Operation Action="Create" App="TIDispatcher" AppVer="1.12.40.2.8.1.20.4.2.7.12.1.12.2.2.1.8.1.2.6" DataPath="/HotelML" StartTime="2011-06-
08T13:21:54.504+00:00" Success="true" TotalProcessTime="126"/>
</Route>
</Head>
<Brand Code="GT" Name="Golden Tulip" Token="994950137106" Type="Chain" ModifyReservation="true" SessionControl="true">
<Email Address="
info@goldentuliptop.com
"/>
<Media Link="
images.pegs.com/brands/gt/graphics/sm_GT_logo.jpg
" MIME="image/jpeg" Type="Logo"/>
</Brand>
<Brand Code="MC" Name="Marriott Hotels, Resorts, and Suites" Token="994950137106" Type="Chain" ModifyReservation="false" SessionControl="false">
<Email Address="
systemsresgds@marriott.com
"/>
<Media Link="
images.pegs.com/brands/mc/graphics/sm_mclogo.jpg
" MIME="image/jpeg" Type="Logo"/>
</Brand>


<Brand Code="BW" Name="Best Western International" Token="994950137106" Type="Chain" ModifyReservation="false" SessionControl="false">
<Email Address="
messecl@bestwestern.com 

rileyb@bestwestern.com
"/>
<Media Link="
images.pegs.com/brands/bw/graphics/sm_bwlogo.gif
" MIME="image/gif"
Type="Logo"/>
</Brand>
</HotelML>

```

**It is possible to request details of all brands by sending an empty BrandInformation element, as shown below:**

```xml
<HotelML xmlns="
http://www.xpegs.com/v2001Q3/HotelML
">
<Head>
<Process Function="TI_BrandInformationV1_1" DataPath="/HotelML/Form/BrandInformation" Token="994950137106"/>
<Route Source="01" Destination="00"/>
</Head>
<Form>
<BrandInformation/>
</Form>
</HotelML>
```

<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.rategain.com/ultradirect/ultradirect-transaction-sets-xml/reference-data-transactions.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
